petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscDSGetQuadrature

Returns the quadrature, which must agree for all fields in the DS

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetQuadrature(PetscDS prob, PetscQuadrature *q)

Not collective

### Input Parameter

| prob | - The PetscDS object

### Output Parameter

| q | - The quadrature object

### See Also

PetscDSSetImplicit(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages